Subject: [GIT PULL 2/6] omap timer changes for v4.17

From: [email-masked] (Tony Lindgren)
Date: Wed, 7 Mar 2018 07:28:42 -0800

* Arnd Bergmann <[email-masked]> [180307 15:22]:
> On Mon, Mar 5, 2018 at 7:11 PM, Tony Lindgren <[email-masked]> wrote:
> > From: "Tony Lindgren" <[email-masked]>
> >
> > The following changes since commit 2fdc82776ac2ac49c5ee666d834718ac36420e49:
> >
> >   Merge branch 'omap-for-v.16/dmtimer-fix' into omap-for-v4.17/timer (2018-02-22 10:46:47 -0800)
> >
> > are available in the Git repository at:
> >
> >   git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap tags/omap-for-v4.17/timer-signed
> >
> > for you to fetch changes up to 58a54f03e73d67432216931854363e4ba15839b9:
> >
> >   clocksource: timer-ti-dm: Check prescaler value (2018-02-28 13:41:30 -0800)
> >
> > ----------------------------------------------------------------
> > Move omap timer to drivers for 4.17
> >
> > This series from Keerthy and Ladislav Michl move omap dmtimer code
> > to drivers. As we don't want to export custom timer functions to
> > random drivers, we also need to update the related PWM driver to
> > pass the timer specific functions in platform data.
> >
> > Note that this series is based on a merge of omap1 specific timer
> > fix and omap2+ platform data clean-up to keep things working and
> > make the move a bit simpler.
> 
> I was undecided whether this should be in next/drivers or next/soc,
> ended up putting it into the latter.
> 
> I don't see the clocksource maintainers involved in the patch series,
> so I added them to Cc now to make sure they are aware of the move
> of the driver.

OK thanks. We got some comments from Daniel for an earlier set of
patches in December. No acks though, but hopefully it's good enough
for further work to happen under drivers/clocksource :)

Regards,

Tony